catalog:
  title: Tactile Glove

templates:
- projects-citec
- cmake-catkin
- base

variables:
  description: Tactile Data Glove Software
  keywords:
  - tactile
  - glove
  - library

  redmine.instance: https://projects.cit-ec.uni-bielefeld.de
  redmine-project: TactileGlove

  repository: https://github.com/ubi-agni/TactileGlove.git
  sub-directory: linux
  branches:
  - master
  tags:
  - famula-0.1

  platform-requires:
    ubuntu:
      packages:
      - libncurses5-dev
      - libqt5svg5-dev

versions:
- name: milab
  variables:
    branch: master
    # don't build with ROS support in MILAB context
    cmake.options:
    - '@{next-value|[]}'
    - CMAKE_DISABLE_FIND_PACKAGE_catkin=TRUE
